Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006675OCamlruntime system and C interfacepublic2014-11-25 19:572015-02-10 16:27
Reporterroshanjames 
Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.02.2+dev / +rc1Fixed in Version4.02.2+dev / +rc1 
Summary0006675: GC callbacks
DescriptionWhen writing performance sensitive programs, one spends a lot of time worrying about the time spent in the GC. However there are very few tools available to directly measure the time spent in the GC.

Can we have the OCaml runtime fire a C callback when:
- about to start a minor GC
- about to start a major slice in a minor GC
- end of major slice in a minor GC
- end of a GC

It would be nice to have an interface where the user can supply C functions pointers for these situations. I imagine there will be constraints on the C callbacks -- for example, the callbacks must not modify or allocate OCaml memory.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0013267)
doligez (administrator)
2015-02-10 16:26

Implemented in 4.02 branch (commit 15835).

- Issue History
Date Modified Username Field Change
2014-11-25 19:57 roshanjames New Issue
2014-11-25 20:26 doligez Status new => confirmed
2014-11-25 20:26 doligez Target Version => 4.02.2+dev / +rc1
2015-02-10 16:26 doligez Note Added: 0013267
2015-02-10 16:27 doligez Status confirmed => closed
2015-02-10 16:27 doligez Resolution open => fixed
2015-02-10 16:27 doligez Fixed in Version => 4.02.2+dev / +rc1
2017-02-23 16:43 doligez Category OCaml runtime system => runtime system
2017-03-03 17:45 doligez Category runtime system => runtime system and C interface


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker